Page MenuHomePhabricator

1.36.0-wmf.5 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.36.0-wmf.5
Release Date
Aug 17 2020, 12:00 AM
Backup Conductor
dduvall

2020 week 34 1.36-wmf.5 Changes wmf/1.36.0-wmf.5

This MediaWiki Train Deployment is scheduled for the week of Monday, August 17th:

Monday August 17thTuesday, August 18thWednesday, August 19thThursday, August 20thFriday
Backports only.Branch wmf.5 and deploy to Group 0 Wikis.Deploy wmf.5 to Group 1 Wikis.Deploy wmf.5 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.5 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.36.0-wmf.4
Next: 1.36.0-wmf.6

Event Timeline

mmodell created this task.Jul 14 2020, 8:19 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 14 2020, 8:19 PM
thcipriani triaged this task as Medium priority.
thcipriani updated Backup Conductor, added: dduvall.

Change 620813 had a related patch set uploaded (by DannyS712; owner: trainbranchbot):
[mediawiki/core@wmf/1.36.0-wmf.5] Branch commit for wmf/1.36.0-wmf.5

https://gerrit.wikimedia.org/r/620813

Change 620813 merged by jenkins-bot:
[mediawiki/core@wmf/1.36.0-wmf.5] Branch commit for wmf/1.36.0-wmf.5

https://gerrit.wikimedia.org/r/620813

Mentioned in SAL (#wikimedia-operations) [2020-08-18T19:13:23Z] <twentyafterfour> Promote testwikis from 1.36.0-wmf.4 to 1.36.0-wmf.5 refs T257973

Change 621049 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] testwikis wikis to 1.36.0-wmf.5 refs T257973

https://gerrit.wikimedia.org/r/621049

Change 621049 merged by jenkins-bot:
[operations/mediawiki-config@master] testwikis wikis to 1.36.0-wmf.5 refs T257973

https://gerrit.wikimedia.org/r/621049

Mentioned in SAL (#wikimedia-operations) [2020-08-18T19:14:44Z] <twentyafterfour@deploy1001> Started scap: testwikis wikis to 1.36.0-wmf.5 refs T257973

Mentioned in SAL (#wikimedia-operations) [2020-08-18T20:07:55Z] <twentyafterfour@deploy1001> Finished scap: testwikis wikis to 1.36.0-wmf.5 refs T257973 (duration: 53m 12s)

Change 621057 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group0 wikis to 1.36.0-wmf.5 refs T257973

https://gerrit.wikimedia.org/r/621057

Change 621057 merged by jenkins-bot:
[operations/mediawiki-config@master] group0 wikis to 1.36.0-wmf.5 refs T257973

https://gerrit.wikimedia.org/r/621057

Mentioned in SAL (#wikimedia-operations) [2020-08-18T20:14:00Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: group0 wikis to 1.36.0-wmf.5 refs T257973

Change 621339 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group1 wikis to 1.36.0-wmf.5 refs T257973

https://gerrit.wikimedia.org/r/621339

Change 621339 merged by jenkins-bot:
[operations/mediawiki-config@master] group1 wikis to 1.36.0-wmf.5 refs T257973

https://gerrit.wikimedia.org/r/621339

Mentioned in SAL (#wikimedia-operations) [2020-08-19T19:14:20Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: group1 wikis to 1.36.0-wmf.5 refs T257973

Mentioned in SAL (#wikimedia-operations) [2020-08-19T19:15:25Z] <twentyafterfour@deploy1001> Synchronized php: group1 wikis to 1.36.0-wmf.5 refs T257973 (duration: 01m 04s)

Change 621576 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] all wikis to 1.36.0-wmf.5 refs T257973

https://gerrit.wikimedia.org/r/621576

Change 621576 merged by jenkins-bot:
[operations/mediawiki-config@master] all wikis to 1.36.0-wmf.5 refs T257973

https://gerrit.wikimedia.org/r/621576

Mentioned in SAL (#wikimedia-operations) [2020-08-20T19:17:42Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: all wikis to 1.36.0-wmf.5 refs T257973

mmodell closed this task as Resolved.Aug 20 2020, 10:51 PM

Easiest train, ever.